/**
 * Created by hannes on 13.03.17.
 */
import * as React from "react";
import * as Rx from "@reactivex/rxjs";

export interface TimerState {
    tick: number;
}

export class TimerComponent extends React.Component<undefined, TimerState> {


    constructor(props: any, context: any) {
        super(props, context);
        this.state = {tick: 0}
    }

    componentDidMount() {
        const observable = Rx.Observable.interval(1000);

        observable.subscribe( value =>  {
            console.log(value);
            this.setState({tick: value})
        },
        error => console.log(error));
    }

    render() {
        return <span>Timer is super {this.state.tick}!</span>;
    }
}