import * as Rx from "@reactivex/rxjs";

/**
 * This class is basically just a wrapper around an RxJs Subject.
 * The main reason behind introducing such a wrapper is to make it impossible to Subject.error() or Subject.complete()
 * since only Subject.next() calls are allowed.
 */
export class IntentEmitter {

    private readonly subject: Rx.Subject<Intent>;

    constructor(subject: Rx.Subject<Intent>) {
        this.subject = subject;
    }

    /**
     * Emit a new intent to change the model
     * @param intent The intent that should be emitted
     */
    emit(intent: Intent) {
        this.subject.next(intent);
    }
}


/**
 * Represents the  "Intention" to change the underlying model by applying an "Action"
 */
export interface Intent {
}

