
export enum AnchorPointSide {
    TOP,
    LEFT,
    RIGHT,
    BOTTOM
}

export type AnchorPoint = {
    /**
     * The percentage where the user wants to start the anchor point at.
     * i.e. 20 means 20% of the with of the parent it the AnchorPointSide is TOP or BOTTOM
     * or 20 % of the height if the AnchorPointSide is LEFT or RIGHT
     */
    readonly percentage: number
}


/**
 *  Calculates the anchor points
 * @param aX The x coordinate of the first element
 * @param aY The y coordinate of the first element
 * @param bX The x coordinate of the second element
 * @param bY The y coordinate of the second element
 * @return A Pair of Anchor Points. The first part of the pair is the anchor point for the first element. The second, for the second element.
 */
export function calcAnchorPoints(aX: number, aY: number, bX: number, bY: number): [AnchorPoint, AnchorPoint] {

    const leftAnchorPoint: AnchorPoint = {
        percentage: 50
    };
    const rightAnchorPoint: AnchorPoint = {
        percentage: 50
    };
    

    if (aX < bX) {
        return [leftAnchorPoint, rightAnchorPoint]
    } else {
        return [rightAnchorPoint, leftAnchorPoint]
    }
}