import { UmlType, EditorUmlType } from "./EditorUmlClass"
import { AnchorPoint } from "./AnchorPoint"
import { OrderedSet } from "immutable"
import { Point } from "./Point"

/**
 * The type that indicates that a certain interface is implemented by a class
 */
export type EditorUmlInterfaceImplementation = {
    readonly id: string,

    /**
     * The interface that is implemented by the class
     */
    readonly interfaceId: string,

    /**
     * The class that implements the interface
     */
    readonly classId: string,
    readonly interfaceAnchorPoint: AnchorPoint,
    readonly classAnchorPoint: AnchorPoint,
    readonly points: OrderedSet<Point>
}

