import { ViewState } from "../ViewState"

/**
 * A ViewStateReducer is a function that takes the previous state
 */
export type ViewStateReducer = (previous: ViewState) => ViewState

/**
 * Simply logs on the console the name of the reducer if logging is enabled
 * @param enabled true if logging is enabled
 * @param reducerName the name of the reducer
 */
export function logReducer(enabled: boolean, reducerName: string) {
    if (enabled)
        console.log("Reducer " + reducerName);
}