import * as React from "react";
import { MenuItem, MenuItemType } from "../../businesslogic/MenuItem";


export type MenuButtonProps = {
    readonly menuItem: MenuItem,
    readonly menuItemClicked: (MenuItemType) => void
}

export class MenuButton extends React.Component<MenuButtonProps, undefined> {

    constructor(props: MenuButtonProps) {
        super(props);
        this.handleClick = this.handleClick.bind(this);
    }

    render() {
        const cssClasses = "btn btn-default menu-button" + (this.props.menuItem.selected ? " btn-primary" : "");
        return <button className={cssClasses} onClick={this.handleClick}>{this.props.menuItem.name}</button>;
    }

    handleClick() {
        const menuType = this.props.menuItem.type;
        this.props.menuItemClicked(menuType);
    }
}

